| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::saliency::StaticSaliencyFineGrained Class Reference
Saliency API

the Fine Grained Saliency approach from [198] More...

`#include <opencv2/saliency/saliencySpecializedClasses.hpp>`

Collaboration diagram for cv::saliency::StaticSaliencyFineGrained:

## Public Member Functions
| StaticSaliencyFineGrained ()
virtual | ~StaticSaliencyFineGrained ()
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
Public Member Functions inherited from cv::saliency::StaticSaliency
bool | computeBinaryMap (InputArray _saliencyMap, OutputArray _binaryMap)
| This function perform a binary map of given saliency map. This is obtained in this way:
Public Member Functions inherited from cv::saliency::Saliency
virtual | ~Saliency ()
| Destructor.
bool | computeSaliency (InputArray image, OutputArray saliencyMap)
| Compute the saliency.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< StaticSaliencyFineGrained > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Protected Member Functions
bool | computeSaliencyImpl (InputArray image, OutputArray saliencyMap) CV_OVERRIDE
Protected Member Functions inherited from cv::saliency::StaticSaliency
Protected Member Functions inherited from cv::saliency::Saliency
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Protected Attributes inherited from cv::saliency::Saliency
String | className

## Detailed Description

the Fine Grained Saliency approach from [198]

This method calculates saliency based on center-surround differences. High resolution saliency maps are generated in real time by using integral images.

## Constructor & Destructor Documentation

## ◆ StaticSaliencyFineGrained()

cv::saliency::StaticSaliencyFineGrained::StaticSaliencyFineGrained | ( |  | ) |

## ◆ ~StaticSaliencyFineGrained()

virtual cv::saliency::StaticSaliencyFineGrained::~StaticSaliencyFineGrained | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ computeSaliency()

bool cv::saliency::StaticSaliencyFineGrained::computeSaliency | ( | InputArray | image,
|  | OutputArray | saliencyMap )
| inline

Python:
| cv.saliency.StaticSaliencyFineGrained.computeSaliency( | image[, saliencyMap] | ) -> | retval, saliencyMap

Here is the call graph for this function:

## ◆ computeSaliencyImpl()

bool cv::saliency::StaticSaliencyFineGrained::computeSaliencyImpl | ( | InputArray | image,
|  | OutputArray | saliencyMap )
| protected virtual

Implements cv::saliency::StaticSaliency.

## ◆ create()

static Ptr< StaticSaliencyFineGrained > cv::saliency::StaticSaliencyFineGrained::create | ( |  | ) |
| inline static

Python:
| cv.saliency.StaticSaliencyFineGrained.create( |  | ) -> | retval
| cv.saliency.StaticSaliencyFineGrained_create( |  | ) -> | retval

The documentation for this class was generated from the following file:

- opencv2/saliency/saliencySpecializedClasses.hpp